﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace System.Web.Mvc
{
    public delegate void ExecutionDelegate(ControllerContext context);

    public class DelegatedActionResult: ActionResult
    {
        private readonly ExecutionDelegate onExecute;
        public DelegatedActionResult(ExecutionDelegate onExecute)
        {
            this.onExecute = onExecute;
        }

        public override void ExecuteResult(ControllerContext context)
        {
            onExecute(context);
        }
    }
}
